task VCFrename {
	File trio_vcf_gz
	File trio_vcf_idx
	String mother_name
	String father_name
	String child_name
	String family_name
	String child
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		echo "MOTHER ${mother_name}.${child}
		FATHER ${father_name}.${child}
		CHILD ${child_name}" > rename.txt

		rtg vcfannotate -i ${trio_vcf_gz} -o ${family_name}.${child}.rename.vcf.gz --relabel=rename.txt
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File rename_trio_vcf_gz = "${family_name}.${child}.rename.vcf.gz"
		File rename_trio_vcf_idx = "${family_name}.${child}.rename.vcf.gz.tbi"
	}
}