task extract_info {
	File vcf
	String vcf_name = basename(vcf,".vcf")
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		python /opt/extract_vcf_information.py -i ${vcf} -o ${vcf_name}.txt
		cat ${vcf_name}.txt | cut -f23,25,27,22,12,21,3,18,4,8,11,15 > ${vcf_name}.essential.txt

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File vcf_info = "${vcf_name}.txt"
		File vcf_needed_info = "${vcf_name}.essential.txt"
	}
}