task mergeVCFInfo {
	Array[File] vcf_gz
	Array[File] vcf_idx
	String sample
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		rtg vcfmerge --force-merge-all -o ${sample}.merged.info.vcf.gz ${sep=" " vcf_gz}
 
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File merged_vcf = "${sample}.merged.info.vcf.gz"
		File merged_vcf_idx = "${sample}.merged.info.vcf.gz.tbi"
	}
}
